using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PrecastConcretePlantContracts.BindingModels;
using PrecastConcretePlantContracts.SearchModels;
using PrecastConcretePlantContracts.ViewModels;

namespace PrecastConcretePlantContracts.BusinessLogicsContracts
{
    public interface IReinforcedLogic
    {
        List<ReinforcedViewModel>? ReadList(ReinforcedSearchModel? model);
        ReinforcedViewModel? ReadElement(ReinforcedSearchModel model);
        bool Create(ReinforcedBindingModel model);
        bool Update(ReinforcedBindingModel model);
        bool Delete(ReinforcedBindingModel model);
    }
}
